List all guests
curl --request GET \
--url https://{workspace}.attendu.com/api/v1/guests \
--header 'x-api-key: <api-key>'import requests
url = "https://{workspace}.attendu.com/api/v1/guests"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://{workspace}.attendu.com/api/v1/guests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"_id": "<string>",
"event": "<string>",
"status": {
"confirmation": 2,
"attendance": 1,
"declineMessage": null,
"givenConsents": [],
"visitedZones": [],
"addMethod": "publicRegistration",
"checkInMethod": "qrScan"
},
"properties": {
"firstName": "John",
"lastName": "Doe",
"email": "john@example.com",
"lang": "en",
"X62TkjiV": "My custom note",
"yN9hzaCj": "1QLXYBlw",
"Ybb48GO7": [
"7bR7m2au",
"BdwYyYmi"
],
"ticketType": "QF78tnh3"
},
"_populated": {
"properties": {
"First name": "John",
"Last name": "Doe",
"Email": "john@example.com",
"Language": "en",
"Note": "My custom note",
"Ticket type": "VIP",
"Interests": [
"Technology",
"Business"
]
},
"status": {
"confirmation": "Confirmed (+1)",
"attendance": "Attended"
}
},
"confirmedAt": "2023-11-07T05:31:56Z",
"attendedAt": "2023-11-07T05:31:56Z",
"starred": false,
"extras": {
"roommates": [
"507f1f77bcf86cd799439011",
"507f191e810c19729de860ea"
],
"payment": {
"isPaid": true,
"paidAt": "2023-04-15T14:30:00Z",
"stripePaymentIntent": "pi_3RJut1234567890",
"stripeInvoice": "in_1RJutEIz1234567890",
"usedPromoCodes": [
{
"id": "43oMGCex",
"amount": 100,
"code": "U2QWC8"
}
]
}
}
}
],
"total": 123
}{
"error": 401,
"message": "Invalid API key."
}Guests
List all guests
Retrieves a paginated list of guests with filtering, sorting, and search capabilities.
GET
/
v1
/
guests
List all guests
Authorizations
Query Parameters
Event ID to scope the guest list.
Number of records to skip for pagination.
Required range:
x >= 0Example:
0
Maximum number of records to return.
Required range:
1 <= x <= 100Example:
20
Search term for filtering guests by first name, last name, or email.
Example:
"john"
Filter guests by exact email address match.
Example:
"john@example.com"
Sort field and direction (field:asc|desc).
Example:
"lastName:asc"
JSON-encoded filter criteria for guest properties.
Example:
"{\"status.confirmation\":1}"
⌘I